package gmodel

import (
	"context"
	"errors"

	"gorm.io/gorm"
)

// FsGetTypeCanteenType GetType返回前端的结构
type FsGetTypeCanteenType struct {
	Id   int64  `db:"id" json:"key"`    // ID
	Name string `db:"name" json:"name"` // 餐厅名字
}

// TODO: 使用model的属性做你想做的

func (c *FsCanteenTypeModel) FindGetType(ctx context.Context, id int64) (resp []*FsGetTypeCanteenType, err error) {
	err = c.db.WithContext(ctx).Model(&FsGetTypeCanteenType{}).Select("id,name").Order("sort desc").Where("`id` = ? and `status` = ? ", id, 1).Find(&resp).Error
	if err != nil && !errors.Is(err, gorm.ErrRecordNotFound) {
		return resp, err
	}
	return resp, nil
}
